.location_row .location_details h3 {
    margin: 0;
    color: var(--vvBlue);
    font-size: 18px;
    font-weight: bold;
}
.location_row .location_details ul li span:first-child {
    font-weight: 900;
    font-size: 11px;
    color: #CCC;
    letter-spacing: .166em;
    line-height: 20px;
    text-transform: uppercase;
    display: block;
}
.location_row .location_details ul li span + span {
    font-size: 14px;
    line-height: 21px;
    display: block;
}
.location_row .location_image {
    border: 1px solid #fff;
    aspect-ratio: 1.74;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;
    grid-row: 1/2;
    grid-column: 1/2;
}
.location_row .location_wave {
    grid-row: 1/2;
    grid-column: 1/2;
    aspect-ratio: 1.74;
    background-repeat: no-repeat;
    background-position: 0 110%;
}
.location_details {
    margin-top: -11px;
}
.location_description {
    font-weight: bold;
}
.location_ul {
    margin-top: 5px;
    padding-inline-start: 20px;
    line-height:30px;
}
@media (min-width: 991px) {
    #location_container {
        grid-template-columns: 1fr 1fr 1fr !important;
    }
}
@media (min-width: 768px) {
    .location_row {
        display: grid;
        gap: 15px;
        align-items: center;
        grid-template-rows: auto 1fr 55px;
    }
    .location_row .location_details {
        display: grid;
        grid-template-rows: 25px auto;
        gap: 10px;
    }
    #location_container {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 30px;
    }
}

@media (max-width: 767px) {
    .location_row .location_details {
        margin-top: 15px;
    }
    .location_row + .location_row {
        margin-top: 15px;
        border-top: 1px solid #ddd;
        padding-top: 15px;
    }
}

#map_container {
    height: 500px;
    background-color: #fff;
    margin: -100px auto 30px;
    overflow: hidden;
    z-index: 10;
    box-shadow: var(--shadowHov);
    position: relative;
    outline: none;
    -webkit-border-radius: 20px;
    -moz-border-radius: 20px;
    border-radius: 20px;
}
#map_container .map-controls {
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 500;
    display: flex;
    flex-direction: column !important;
    gap: 10px;
}
#map_container .map-controls .map-items {
    -webkit-border-radius: 24px;
    -moz-border-radius: 24px;
    border-radius: 24px;
    box-shadow: var(--shadow);
    display: grid;
    grid-template-columns: 1fr;
    overflow: hidden;
}

#map_container .map-controls .map-items i {
    padding: 12px !important;
    background-color: white;
    cursor: pointer;
    font-size: 16px;
    text-align: center;
}
#map_container .map-controls .map-items i:hover,
#map_container .map-controls .map-items i:focus {
    background-color: whitesmoke;
    box-shadow: var(--shadowHov);
}
#map_container .map-controls .map-items i:active {
    background-color: lightgray;
    box-shadow: var(--shadowPressed);
}
#map_container .map-controls .map-items i:nth-child(n+2) {
    border-top: 1px solid #f0f0f0;
}

#mouseaccess[data-state='1'] {
    color: var(--vvBlue);
}
.l-marker {
    margin-left: -20px !important;
    margin-top: -20px !important;
    width: auto !important;
    height: 40px !important;
    background-size: cover;
    display: grid !important;
    grid-template-columns: 40px auto;
    align-items: start;
}
.custom-marker-icon {
    display: block;
    width: 28px;
    height: 28px;
    color: #fff;
    line-height: 28px;
    text-align: center;
    background-color: #f18080;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
    margin-left: 6px;
    margin-top: 6px;
    position: relative;
    font-size: 9px;
}
.custom-marker-icon:before {
    position: absolute;
    width: 19px;
    height: 19px;
    content: '';
    top: 50%;
    left: 50%;
    border: 2px solid #fff;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
    transform: translate(-50%,-50%);
}
.custom-links {
    display: grid;
}
.custom-links[data-items='1'] {
    margin-top: 10px;
}
.custom-links:before {
    position: absolute;
    content: '';
    top: 10px;
    left: 30px;
    border-top: 10px solid transparent;
    border-bottom: 10px solid transparent;
    border-right:  10px solid #f18080;
}
.l-marker a {
    line-height: 20px;
    white-space: nowrap;
    text-decoration: none;
    background-color: #f18080;
    color: #fff !important;
    font-size: 12px;
    text-transform: uppercase;
    padding: 0 6px 0 3px;
}
.active .custom-marker-icon,
.active  a,
.active.waiting a.active {
    background-color: #5cb85c;
}
.active .custom-links:before {
    border-right:  10px solid #5cb85c;
}
.waiting .custom-marker-icon,
.waiting  a,
.active.waiting a.waiting {
    background-color: #f0ad4e;
}
.waiting .custom-links:before {
    border-right:  10px solid #f0ad4e;
}

.active.waiting .custom-marker-icon {
    background: linear-gradient(45deg, #5cb85c 50%, #f0ad4e 50%);
}
.l-marker a:first-child {
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}
.l-marker a:last-child {
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
}
.l-marker a:first-child:last-child {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}
.l-marker.closed .custom-links {
    display: none;
}

.location_row {
    border: 1px solid hsl(0, 0%, 90%);
    -webkit-border-radius: 15px;
    -moz-border-radius: 15px;
    border-radius: 15px;
    overflow: hidden;
}
.location_row:hover {
    scale: 1.02;
    transition: all ease 0.2s;
    box-shadow: var(--shadowHov);
}
.location_row .btn:hover {
    transform: scale(1) !important;
}
.location_details {
    text-align: center;
}
.location_description .location-row {
    margin: 0 auto;
}
.location_description .location-row > div {
    display: grid;
    align-items: center;
    grid-template-columns: auto auto auto auto;
    margin: 5px auto;
    justify-content:center;
    font-weight: normal !important;
    gap: 5px;
}
.location_description .location-row .material-icons {
    color: #f18080;
}
.topbg_vt_text a {
    color: #fff !important;
    text-decoration: underline;
}